import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class Multiplebarcode {
  static const MethodChannel _channel =
      const MethodChannel('multiplebarcode');

  static Future<String> startScan(BuildContext context) async {
    Map<String,dynamic> param = Map<String,dynamic>();
    param["PRIMARY_COLOR"] = Theme.of(context).brightness == Brightness.dark ? null : Theme.of(context).primaryColor.toString().split('(0x')[1].split(')')[0];
    param["PRIMARY_DARK_COLOR"] = Theme.of(context).brightness == Brightness.dark ? null : Theme.of(context).primaryColorDark.toString().split('(0x')[1].split(')')[0];
    param["MULTIPLE_BARCODE_INTERVAL_SEC"] = 3;
    return await _channel.invokeMethod('scanBarcode', param);
  }
}
